NEOWIZ HOLDINGS Corporation

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1727654400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://dart.fss.or.kr/dsaf001/main.do?rcpNo=20241114002617",
    "holding_balance": 123.0,
    "holding_net_change": 123.0,
    "transaction_value_usd": 7088982.0,
    "average_entry_value_usd": 57634.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    123.0
  ],
  [
    1779062400000,
    123.0
  ],
  [
    1779148800000,
    123.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    9523872.78
  ],
  [
    1779062400000,
    9464145.21
  ],
  [
    1779148800000,
    9441481.229999999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 19410.0,
    "date": "2026-05-18",
    "high": 20650.0,
    "open": 20050.0,
    "close": 20450.0,
    "volume": 17858
  },
  {
    "low": 22450.0,
    "date": "2026-05-19",
    "high": 26550.0,
    "open": 22450.0,
    "close": 23000.0,
    "volume": 597138
  },
  {
    "low": 21350.0,
    "date": "2026-05-20",
    "high": 22800.0,
    "open": 22750.0,
    "close": 22500.0,
    "volume": 46930
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.986,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -1.53,
  "six_month_return": -15.73,
  "three_month_return": -15.73
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/neowiz-holdings-corporation/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}